package com.rjconsultores.ventaboletos.web.utilerias.render;

import java.math.BigDecimal;

import org.apache.commons.lang.StringUtils;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.utilerias.MoneyHelper;
import com.rjconsultores.ventaboletos.vo.pricing.GP_PricingRevisaoValoresVO;

public class RenderPricingRevisaoValores implements ListitemRenderer {

	@Override
	public void render(Listitem item, Object data) throws Exception {
		GP_PricingRevisaoValoresVO pricingRevisaoValores = (GP_PricingRevisaoValoresVO) data;
		
		setListCellString(item, pricingRevisaoValores.getOrigem());
		setListCellString(item, pricingRevisaoValores.getDestino());
		setListCellString(item, pricingRevisaoValores.getClasseServico());
		setListCellBigDecimal(item, pricingRevisaoValores.getPrecioAtual());
		setListCellBigDecimal(item, pricingRevisaoValores.getTarifaAtual());
		setListCellBigDecimal(item, pricingRevisaoValores.getTaxaEmbarque());
		setListCellBigDecimal(item, pricingRevisaoValores.getPedagio());
		setListCellString(item, pricingRevisaoValores.getOcupacao());
		setListCellString(item, pricingRevisaoValores.getAntecipacao());
		setListCellString(item, pricingRevisaoValores.getDesconto());
		setListCellBigDecimal(item, pricingRevisaoValores.getPrecoComPricing());
		setListCellBigDecimal(item, pricingRevisaoValores.getTarifaComPricing());
		
        item.setAttribute("data", pricingRevisaoValores);

	}

	/**
	 * @param item
	 * @param number
	 */
	private void setListCellBigDecimal(Listitem item, BigDecimal number) {
		Listcell lc = new Listcell(number != null ? MoneyHelper.getValor(number) : " - ");
		lc.setParent(item);
	}

	/**
	 * @param item
	 * @param string
	 */
	private void setListCellString(Listitem item, String string) {
		Listcell lc = new Listcell(StringUtils.isNotBlank(string) ? string : " - ");
		lc.setParent(item);
	}

}
